## python-moderngl 5.6.4

=== docs/requirements.txt ===
Sphinx
sphinx-rtd-theme
sphinxcontrib-napoleon
sphinx-copybutton

=== debian/changelog ===
python-moderngl (5.6.4-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Jun 2022 19:49:41 +0200

python-moderngl (5.6.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1009238)

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Apr 2022 18:57:04 +0200

=== debian/control ===
Source: python-moderngl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 libegl-dev <!nocheck>,
 python3-all-dev,
 python3-glcontext,
 python3-numpy <!nocheck>,
 python3-pycodestyle <!nocheck>,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl
Homepage: https://github.com/moderngl/moderngl
Rules-Requires-Root: no
Description: Python 3 wrapper for OpenGL 3.3+
 ModernGL is an OpenGL wrapper that simplifies the creation of simple graphics
 applications like scientific simulations, games or user interfaces. Usually,
 acquiring in-depth knowledge of OpenGL requires a steep learning curve. In
 contrast, ModernGL is easy to learn and use, moreover it is capable of
 rendering with high performance and quality, with less code written. The
 majority of the ModernGL code base is also written in C++ for high
 performance.

Package: python3-moderngl
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-moderngl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides the API documentation of ModernGL.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = moderngl
export PYBUILD_TEST_ARGS=-k "not (test_documentation or test_module_integrity)"
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_INSTALL=$(CURDIR)/debian/rules make-docs PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME){install_dir}
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	-xvfb-run dh_auto_test --buildsystem=pybuild

make-docs:
	sphinx-build -M html $(CURDIR)/docs $(CURDIR)/docs/_build

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/moderngl/moderngl/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-moderngl 5.7.4

=== docs/requirements.txt ===
Sphinx==4.5.0 
# Furo theme : https://github.com/pradyunsg/furo
furo==2022.4.7
sphinx-copybutton==0.5.0

=== examples/requirements.txt ===
moderngl_window>=2

pymunk
matplotlib
imageio

# Window types
glfw<2.0
pyglet>1.4.2<2.0
PySDL2
PyQt5<6
PySide2<6

# Resource loaders
pywavefront>=1.3.0<2.0

=== tests/requirements.txt ===
numpy
pytest
pycodestyle
scipy>=1.2.1

=== debian/changelog ===
python-moderngl (5.7.4-1) unstable; urgency=medium

  * New upstream version 5.7.4
  * Do not ship src folder in binary package

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Dec 2022 13:49:23 +0100

python-moderngl (5.7.3-2) unstable; urgency=medium

  * Use autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Sat, 10 Dec 2022 23:09:25 +0100

python-moderngl (5.7.3-1) unstable; urgency=medium

  * New upstream version 5.7.3

 -- Timo Röhling <roehling@debian.org>  Wed, 30 Nov 2022 16:03:53 +0100

python-moderngl (5.7.2-1) unstable; urgency=medium

  * New upstream version 5.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 10 Nov 2022 13:36:14 +0100

python-moderngl (5.7.1-1) unstable; urgency=medium

  * New upstream version 5.7.1

 -- Timo Röhling <roehling@debian.org>  Wed, 02 Nov 2022 18:58:27 +0100

python-moderngl (5.7.0-1) unstable; urgency=medium

  * New upstream version 5.7.0
  * Refresh patches
    - Drop 0001-Use-sphinx.ext.napoleon-instead-of-sphinxcontrib.nap.patch
      (merged upstream)
    - Add 0001-Use-sphinx-rtd-theme.patch
  * Switch d/watch to api.github.com
  * Bump Standards-Version to 4.6.1
  * Add hardening flags to build

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Oct 2022 13:30:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  libegl-dev <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-glcontext,
  python3-numpy <!nocheck>,
@@ -17,15 +18,16 @@
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
- python3-sphinx-copybutton <!nodoc>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl
 Homepage: https://github.com/moderngl/moderngl
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Description: Python 3 wrapper for OpenGL 3.3+
  ModernGL is an OpenGL wrapper that simplifies the creation of simple graphics
  applications like scientific simulations, games or user interfaces. Usually,

=== debian/rules ===
#!/usr/bin/make -f

XVFB_OPTS = --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX -noreset"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = moderngl
export PYBUILD_TEST_ARGS= --collect-only >/dev/null 2>&1; xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not (test_local or test_documentation or test_module_integrity)"
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_INSTALL = \
    $(CURDIR)/debian/rules make-docs PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME){install_dir}; \
    rm -r $(CURDIR)/debian/python3-$(PYBUILD_NAME){install_dir}/moderngl/src
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	-dh_auto_test --buildsystem=pybuild

make-docs:
	sphinx-build -M html $(CURDIR)/docs $(CURDIR)/docs/_build

## python-moderngl 5.8.2

=== tests/requirements.txt ===
numpy
pytest
# pycodestyle
scipy>=1.2.1

=== debian/changelog ===
python-moderngl (5.8.2-2) unstable; urgency=medium

  * Drop patch to not use Furo theme for documentation

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Jul 2023 23:54:23 +0200

python-moderngl (5.8.2-1) unstable; urgency=medium

  * Make package cross-buildable
  * Bump Standards-Version to 4.6.2
  * New upstream version 5.8.2

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Jun 2023 21:49:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 export PYBUILD_TEST_ARGS= --collect-only >/dev/null 2>&1; xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not (test_local or test_documentation or test_module_integrity)"
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 export PYBUILD_AFTER_INSTALL = \
-    $(CURDIR)/debian/rules make-docs PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME){install_dir}; \
-    rm -r $(CURDIR)/debian/python3-$(PYBUILD_NAME){install_dir}/moderngl/src
+    $(CURDIR)/debian/rules make-docs PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME){install_dir}
 endif
 
 %:

## python-moderngl 5.10.0

=== debian/changelog ===
python-moderngl (5.10.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:56:02 +0000

python-moderngl (5.10.0-1) unstable; urgency=medium

  * New upstream version 5.10.0

 -- Timo Röhling <roehling@debian.org>  Tue, 23 Jan 2024 15:19:03 +0100

python-moderngl (5.8.2-3) unstable; urgency=medium

  * Drop obsolete workaround for PYBUILD_TEST_CUSTOM

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Oct 2023 15:42:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,23 @@
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ furo <!nodoc>,
  libegl-dev <!nocheck>,
+ libpython3-all-dev,
  pybuild-plugin-pyproject,
- python3-all-dev,
- python3-glcontext,
+ python3-all-dev:any,
+ python3-glcontext <!nocheck>,
  python3-numpy <!nocheck>,
  python3-pycodestyle <!nocheck>,
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
- python3-sphinx <!nodoc>,
- python3-sphinx-copybutton <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
+ python3-sphinx:native <!nodoc>,
+ python3-sphinx-copybutton:native <!nodoc>,
+ python3-sphinx-rtd-theme:native <!nodoc>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl
 Homepage: https://github.com/moderngl/moderngl

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME = moderngl
-export PYBUILD_TEST_ARGS= --collect-only >/dev/null 2>&1; xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not (test_local or test_documentation or test_module_integrity)"
+export PYBUILD_TEST_CUSTOM = 1
+export PYBUILD_TEST_ARGS= xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not (test_local or test_documentation or test_module_integrity)"
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 export PYBUILD_AFTER_INSTALL = \
     $(CURDIR)/debian/rules make-docs PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME){install_dir}

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
 https://api.github.com/repos/moderngl/moderngl/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@

## python-moderngl 5.12.0

=== docs/requirements.txt ===
furo==2023.9.10
sphinx-copybutton==0.5.2
sphinx==7.2.6

=== debian/changelog ===
python-moderngl (5.12.0-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:47:10 +0000

python-moderngl (5.12.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:11:32 +0000

python-moderngl (5.12.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:33:47 +0100

python-moderngl (5.12.0-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 5.12.0
  * Add test depend on python3-opengl
  * Bump Standards-Version to 4.7.0
  * Build documentation with default Python
  * Drop unused license paragraphs from d/copyright

 -- Timo Röhling <roehling@debian.org>  Mon, 04 Nov 2024 09:50:40 +0100

python-moderngl (5.11.1-1) unstable; urgency=medium

  * New upstream version 5.11.1

 -- Timo Röhling <roehling@debian.org>  Wed, 28 Aug 2024 15:51:58 +0200

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/moderngl/moderngl/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
